SplFileObject::__toString
SplTempFileObject
SplFileObject
PHP Manual

# SplFileObject::valid

(PHP 5 >= 5.1.0)

SplFileObject::valid — Not at EOF

### Description

public bool SplFileObject::valid ( void )

Check whether EOF has been reached.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if not reached EOF, `FALSE` otherwise.

### Examples

Example #1 SplFileObject::valid() example

`<?php
// Loop over a file, line by line
$file = new SplFileObject("file.txt");
while ($file->valid()) {
echo $file->fgets();
}
?>`

### See Also

- SplFileObject::current() - Retrieve current line of file
- SplFileObject::key() - Get line number
- SplFileObject::seek() - Seek to specified line
- SplFileObject::next() - Read next line
- SplFileObject::rewind() - Rewind the file to the first line

SplFileObject::__toString
SplTempFileObject
SplFileObject
PHP Manual